/*
 *           install.js for MessageID-Finder
 *        Markus Hossner - markushossner@gmx.de
 */

var author         = "Markus Hossner";
var displayName    = "MessageID-Finder";
var version        = "1.9.1";
var name           = "messageidfinder";
var jarName        = name + ".jar";
var localeFlag     = LOCALE  | PROFILE_CHROME;
var contentFlag    = CONTENT | PROFILE_CHROME;
var error          = null;
var folder         = getFolder("Profile", "chrome");
var contentPath    = "content/" + name + "/";
var localePath     = "locale/";
var localePathenUS = localePath + "en-US/" + name + "/";
var localePathenGB = localePath + "en-GB/" + name + "/";
var localePathdeAT = localePath + "de-AT/" + name + "/";
var localePathdeDE = localePath + "de-DE/" + name + "/";
var localePathfrFR = localePath + "fr-FR/" + name + "/";
var localePathitIT = localePath + "it-IT/" + name + "/";

var existsInApplication = File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile     = File.exists(getFolder(folder, jarName));

initInstall(displayName, name, version);

// If the extension exists in the application folder or it doesn't exist in the
// profile folder and the user doesn't want it installed to the profile folder
if(existsInApplication || (!existsInProfile && !confirm("Do you want to install the extension into your profile folder?\n(Cancel will install into the application folder)")))
{
  localeFlag  = LOCALE  | DELAYED_CHROME;
  contentFlag = CONTENT | DELAYED_CHROME;
  folder      = getFolder("chrome");
}

setPackageFolder(folder);
error = addFile(author, version, jarName, folder, null);


if(error == SUCCESS)
{
  folder = getFolder(folder, jarName);

  registerChrome(localeFlag,  folder, localePathenUS);
  registerChrome(localeFlag,  folder, localePathenGB);
  registerChrome(localeFlag,  folder, localePathdeAT);
  registerChrome(localeFlag,  folder, localePathdeDE);
  registerChrome(localeFlag,  folder, localePathfrFR);
  registerChrome(localeFlag,  folder, localePathitIT);

  registerChrome(contentFlag, folder, contentPath);
  error = performInstall();

  // If the install failed
  if(error != SUCCESS && error != 999)
  {
    alert("The installation of the extension failed.\n" + error);
    cancelInstall(error);
  }
  else
  {
    alert(displayName + " " + version + " has been successfully installed. You must restart your mozilla client to complete installation!");
  }
}
else
{
  alert("The installation of the extension failed.\n" + error);
  cancelInstall(error);
}